package com.ho.business.mapper;

import com.ho.business.entity.ModelTypeCol;
import com.ho.business.vo.req.deviceModel.DeviceColSelectReqVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author gyan
 * @description 针对表【model_type_col】的数据库操作Mapper
 * @createDate 2023-02-09 17:59:23
 * @Entity generator.domain.ModelTypeCol
 */
@Mapper
public interface ModelTypeColMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ModelTypeCol modelTypeCol);

    int insertSelective(ModelTypeCol modelTypeCol);

    int updateByPrimaryKeySelective(ModelTypeCol modelTypeCol);

    //根据model_type_id进行查询
    List<ModelTypeCol> selectByTypeId(Integer modelTypeId);

    void addBatchModel(@Param("list") List<ModelTypeCol> modelTypeColTypeColList);

    List<ModelTypeCol> selectByModelType(DeviceColSelectReqVo vo);

    //查询模型字段中是否有相同的col
    List<ModelTypeCol> selectSameModelCol(String deviceType, @Param("list")List<String> collect);

    List<ModelTypeCol> selectByIds(List<Integer> ids);

    ModelTypeCol selectByCol(String col);

    List<ModelTypeCol> selectByColList(@Param("list")List<String> colList);

    ModelTypeCol selectByColValue(String col,String modelType);

    ModelTypeCol selectById(Integer modelColId);
}
